# GradFun2DBmod

### From Avisynth

Abstract
Author | LaTo
Version | v1.5 - Update 2009/12/30
Download | GradFun2DBmod
Category | Debanding
Requirements | YV12
License |

GradFun2DBmod( clip input, float "thr", float "thrC", int "mode", float "str", float "strC", int "temp", int "adapt", string "custom", bool "mask", int "radius", int "range", bool "show", int "screenW", int "screenH" )

## [edit] Abstract

An advanced debanding script based on GradFun2DB.

## [edit] Description

Some of these informations may be outdated and/or incomplete, check the Doom9 Thread for up-to-date version !!!

## [edit] Required Filters

- Masktools (v2.0a36)
- Removegrain (v1.0PR)
- GradFun2db (v1.0)
- AddGrainC(v1.4)

## [edit] Parameters

### [edit] DITHER

    thr [default: 1.2]
    ------------------
    GradFun2DB "thr" parameter

    thrC [default: thr]
    -------------------
    GradFun2DB "thrC" parameter

    mode [default: 2]
    -----------------
    Mode for the addition of 16 pixels around the image
    0 = Off                             [same as GradFun2DB]
    1 = AddBorders  (speed:+ quality:-) [same as GradFunk]
    2 = PointResize (speed:+ quality:+)
    3 = Flip/Stack  (speed:- quality:+) [same as GradFunkMirror]

### [edit] GRAIN

    str [default: 0.8]
    ------------------
    AddGrainC "var" parameter

    strC [default: 0.0]
    -------------------
    AddGrainC "uvar" parameter

    temp [default: 50]
    ------------------
    Strength for temporal stabilization
    -1  = off
    0   = nervous grain
    ..
    100 = calm grain

    adapt [default: 64]
    -------------------
    Threshold for luma-adaptative grain
    -1  = off
    0   = source
    ..
    255 = invert

    custom [default: "empty"]
    -------------------------
    Use your own grain generator instead of AddGrain
    (temp & adapt parameters are on, set -1 to turn off)

### [edit] MASK

    mask [default: true]
    --------------------
    Use adaptative deband mask
    (dither/grain is only applied to areas with banding's susceptibility)

    radius [default: 2]
    -------------------
    Radius for the mask (1 is the fastest, 2-3 are slower)

    range [default: 2]
    ------------------
    Range used in the mask (1-3 are good value)

### [edit] DEBUG

    show [default: false]
    ---------------------
    Show debug clip & informations

    screenW [default: 1280]
    -----------------------
    Screen horizontal resolution (for show clip)

    screenH [default: 1024]
    -----------------------
    Screen vertical resolution (for show clip)

## [edit] Links

Doom9 Thread

Retrieved from "http://avisynth.org/mediawiki/GradFun2DBmod"

##### Views

- Page
- Discussion
- Edit
- History

##### Personal tools

- Log in / create account

##### Search

##### Toolbox

- What links here
- Related changes
- Upload file
- Special pages
- Printable version
- Permanent link